com.genesyslab.wfm7.API.service.schedule750

## Class SchValidationHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule750.SchValidationHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchValidationHolder
      extends java.lang.Object
      implements java.io.Serializable

  `SchValidation` holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `success` Indicator of operation success or failure
    `private SchValidation[]` | `validationArray` An array of `SchValidation`
    `private int` | `validationArrayNSizeIs` Number of elements in the "validationArray" array
    `private java.lang.String[]` | `wmErrors` An array of general errors
    `private int` | `wmErrorsNSizeIs` Number of elements in the "wmErrors" array
    `private java.lang.String[]` | `wmWarnings` An array of general warnings
    `private int` | `wmWarningsNSizeIs` Number of elements in the "wmWarnings" array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchValidationHolder()`
    `SchValidationHolder(boolean success, int wmErrorsNSizeIs, java.lang.String[] wmErrors, int wmWarningsNSizeIs, java.lang.String[] wmWarnings, int validationArrayNSizeIs, SchValidation[] validationArray)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchValidation[]` | `getValidationArray()` Gets the validationArray value for this SchValidationHolder.
    `int` | `getValidationArrayNSizeIs()` Gets the validationArrayNSizeIs value for this SchValidationHolder.
    `java.lang.String[]` | `getWmErrors()` Gets the wmErrors value for this SchValidationHolder.
    `int` | `getWmErrorsNSizeIs()` Gets the wmErrorsNSizeIs value for this SchValidationHolder.
    `java.lang.String[]` | `getWmWarnings()` Gets the wmWarnings value for this SchValidationHolder.
    `int` | `getWmWarningsNSizeIs()` Gets the wmWarningsNSizeIs value for this SchValidationHolder.
    `boolean` | `isSuccess()` Gets the success value for this SchValidationHolder.
    `void` | `setSuccess(boolean success)` Sets the success value for this SchValidationHolder.
    `void` | `setValidationArray(SchValidation[] validationArray)` Sets the validationArray value for this SchValidationHolder.
    `void` | `setValidationArrayNSizeIs(int validationArrayNSizeIs)` Sets the validationArrayNSizeIs value for this SchValidationHolder.
    `void` | `setWmErrors(java.lang.String[] wmErrors)` Sets the wmErrors value for this SchValidationHolder.
    `void` | `setWmErrorsNSizeIs(int wmErrorsNSizeIs)` Sets the wmErrorsNSizeIs value for this SchValidationHolder.
    `void` | `setWmWarnings(java.lang.String[] wmWarnings)` Sets the wmWarnings value for this SchValidationHolder.
    `void` | `setWmWarningsNSizeIs(int wmWarningsNSizeIs)` Sets the wmWarningsNSizeIs value for this SchValidationHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### success

          private boolean success

      Indicator of operation success or failure

    - #### wmErrorsNSizeIs

          private int wmErrorsNSizeIs

      Number of elements in the "wmErrors" array

    - #### wmErrors

          private java.lang.String[] wmErrors

      An array of general errors

    - #### wmWarningsNSizeIs

          private int wmWarningsNSizeIs

      Number of elements in the "wmWarnings" array

    - #### wmWarnings

          private java.lang.String[] wmWarnings

      An array of general warnings

    - #### validationArrayNSizeIs

          private int validationArrayNSizeIs

      Number of elements in the "validationArray" array

    - #### validationArray

          private SchValidation[] validationArray

      An array of `SchValidation`

  - ### Constructor Detail

    - #### SchValidationHolder

          public SchValidationHolder()

    - #### SchValidationHolder

          public SchValidationHolder(boolean success,
                             int wmErrorsNSizeIs,
                             java.lang.String[] wmErrors,
                             int wmWarningsNSizeIs,
                             java.lang.String[] wmWarnings,
                             int validationArrayNSizeIs,
                             SchValidation[] validationArray)

  - ### Method Detail

    - #### isSuccess

          public boolean isSuccess()

      Gets the success value for this SchValidationHolder.
      Returns:
        success

    - #### setSuccess

          public void setSuccess(boolean success)

      Sets the success value for this SchValidationHolder.
      Parameters:
        `success` -

    - #### getWmErrorsNSizeIs

          public int getWmErrorsNSizeIs()

      Gets the wmErrorsNSizeIs value for this SchValidationHolder.
      Returns:
        wmErrorsNSizeIs

    - #### setWmErrorsNSizeIs

          public void setWmErrorsNSizeIs(int wmErrorsNSizeIs)

      Sets the wmErrorsNSizeIs value for this SchValidationHolder.
      Parameters:
        `wmErrorsNSizeIs` -

    - #### getWmErrors

          public java.lang.String[] getWmErrors()

      Gets the wmErrors value for this SchValidationHolder.
      Returns:
        wmErrors

    - #### setWmErrors

          public void setWmErrors(java.lang.String[] wmErrors)

      Sets the wmErrors value for this SchValidationHolder.
      Parameters:
        `wmErrors` -

    - #### getWmWarningsNSizeIs

          public int getWmWarningsNSizeIs()

      Gets the wmWarningsNSizeIs value for this SchValidationHolder.
      Returns:
        wmWarningsNSizeIs

    - #### setWmWarningsNSizeIs

          public void setWmWarningsNSizeIs(int wmWarningsNSizeIs)

      Sets the wmWarningsNSizeIs value for this SchValidationHolder.
      Parameters:
        `wmWarningsNSizeIs` -

    - #### getWmWarnings

          public java.lang.String[] getWmWarnings()

      Gets the wmWarnings value for this SchValidationHolder.
      Returns:
        wmWarnings

    - #### setWmWarnings

          public void setWmWarnings(java.lang.String[] wmWarnings)

      Sets the wmWarnings value for this SchValidationHolder.
      Parameters:
        `wmWarnings` -

    - #### getValidationArrayNSizeIs

          public int getValidationArrayNSizeIs()

      Gets the validationArrayNSizeIs value for this SchValidationHolder.
      Returns:
        validationArrayNSizeIs

    - #### setValidationArrayNSizeIs

          public void setValidationArrayNSizeIs(int validationArrayNSizeIs)

      Sets the validationArrayNSizeIs value for this SchValidationHolder.
      Parameters:
        `validationArrayNSizeIs` -

    - #### getValidationArray

          public SchValidation[] getValidationArray()

      Gets the validationArray value for this SchValidationHolder.
      Returns:
        validationArray

    - #### setValidationArray

          public void setValidationArray(SchValidation[] validationArray)

      Sets the validationArray value for this SchValidationHolder.
      Parameters:
        `validationArray` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.